"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ulid_1 = require("ulid");
const aws_sdk_1 = require("aws-sdk");
class DynamoDBEventStore {
    constructor({ eventsTable = "Events" } = {}) {
        this.publish = async (event) => {
            console.log("DynamoDBEventStore.publish called");
            const result = await this.db
                .put({
                TableName: this.tableName,
                Item: Object.assign({ id: ulid_1.ulid() }, event)
            })
                .promise();
            console.log(`DynamoDBEventStore.publish finished with ${JSON.stringify(result)}`);
        };
        this.db = new aws_sdk_1.DynamoDB.DocumentClient();
        this.tableName = eventsTable;
    }
}
exports.DynamoDBEventStore = DynamoDBEventStore;
exports.default = DynamoDBEventStore;
